CREATE TABLE mow_mra_tba_object_source (
    WOBJECT_ID               NUMBER(18, 0) ,
    WFAMILY_CODE             VARCHAR2(120) ,
    FAMILY_SOURCE_KEY        VARCHAR2(800) ,
    WEXECUTION_NUMBER        NUMBER(18, 0) ,
    WMAPPING_SET_ID          VARCHAR2(256) ,
    WACCT                    NUMBER(18, 0) ,
    WACTYP                   VARCHAR2(120) ,
    WINDST                   VARCHAR2(120) ,
    WORGTP                   VARCHAR2(120) ,
    WAUX3                    VARCHAR2(120) ,
    WAUX2                    VARCHAR2(120) ,
    WAUX1                    VARCHAR2(120) ,
    WEXT1                    VARCHAR2(120) ,
    WEXT2                    VARCHAR2(120) ,
    WEXT3                    VARCHAR2(120) ,
    WEXT4                    VARCHAR2(120) ,
    WEXT5                    VARCHAR2(120) ,
    WEXT6                    VARCHAR2(120) ,
    WEXT7                    VARCHAR2(120) ,
    WEXT8                    VARCHAR2(120) ,
    WEXT9                    VARCHAR2(120) ,
    WEXT10                   VARCHAR2(120) ,
    WGEO                     NUMBER(18, 0) ,
    WSALES_CHANNEL           VARCHAR2(72)  ,
    WPROD                    NUMBER(18, 0) ,
    WCSIZE                   VARCHAR2(120) ,
    WBUNIT                   NUMBER(18, 0) ,
    WPRTNR                   NUMBER(18, 0) ,
    WCOUNTRY                 VARCHAR2(8)   ,
    WSTATE                   VARCHAR2(240) ,
    WPROVINCE                VARCHAR2(240) ,
    WCOUNTY                  VARCHAR2(240) ,
    WCITY                    VARCHAR2(240) ,
    WPOSTAL_CODE             VARCHAR2(240) ,
    WRESOURCE_ID             NUMBER(18, 0) ,
    WAE1                     VARCHAR2(600) ,
    WAE2                     VARCHAR2(600) ,
    WAE3                     VARCHAR2(600) ,
    WAE4                     VARCHAR2(600) ,
    WAE5                     VARCHAR2(600) ,
    BATCH_ID                 NUMBER(18, 0) ,
    FIRST_NODE               VARCHAR2(40)  ,
    W_DIM_PATTTERN           VARCHAR2(3600),
    W_COV_TYPE_DV_PATTERN    VARCHAR2(3600),
    W_COVERAGE_TYPE_CODE     VARCHAR2(120) ,
    W_MAPPINGS_IDS           VARCHAR2(4000),
    MAPPED_WORK_OBJECT_ID    NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    WOBJECT_ID               NUMBER(18, 0) ,
    WFAMILY_CODE             VARCHAR2(120) ,
    FAMILY_SOURCE_KEY        VARCHAR2(800) ,
    WEXECUTION_NUMBER        NUMBER(18, 0) ,
    WMAPPING_SET_ID          VARCHAR2(256) ,
    WACCT                    NUMBER(18, 0) ,
    WACTYP                   VARCHAR2(120) ,
    WINDST                   VARCHAR2(120) ,
    WORGTP                   VARCHAR2(120) ,
    WAUX3                    VARCHAR2(120) ,
    WAUX2                    VARCHAR2(120) ,
    WAUX1                    VARCHAR2(120) ,
    WGEO                     NUMBER(18, 0) ,
    WSALES_CHANNEL           VARCHAR2(72)  ,
    WPROD                    NUMBER(18, 0) ,
    WCSIZE                   VARCHAR2(120) ,
    WBUNIT                   NUMBER(18, 0) ,
    WPRTNR                   NUMBER(18, 0) ,
    WCOUNTRY                 VARCHAR2(8)   ,
    WSTATE                   VARCHAR2(240) ,
    WPROVINCE                VARCHAR2(240) ,
    WCOUNTY                  VARCHAR2(240) ,
    WCITY                    VARCHAR2(240) ,
    WPOSTAL_CODE             VARCHAR2(240) ,
    WRESOURCE_ID             NUMBER(18, 0) ,
    WAE1                     VARCHAR2(600) ,
    WAE2                     VARCHAR2(600) ,
    WAE3                     VARCHAR2(600) ,
    WAE4                     VARCHAR2(600) ,
    WAE5                     VARCHAR2(600) ,
    BATCH_ID                 NUMBER(18, 0) ,
    FIRST_NODE               VARCHAR2(40)  ,
    W_DIM_PATTTERN           VARCHAR2(3600),
    W_COV_TYPE_DV_PATTERN    VARCHAR2(3600),
    W_COVERAGE_TYPE_CODE     VARCHAR2(120) ,
    W_MAPPINGS_IDS           VARCHAR2(4000),
    MAPPED_WORK_OBJECT_ID    NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    WEXT1                    VARCHAR2(120) ,
    WEXT2                    VARCHAR2(120) ,
    WEXT3                    VARCHAR2(120) ,
    WEXT4                    VARCHAR2(120) ,
    WEXT5                    VARCHAR2(120) ,
    WEXT6                    VARCHAR2(120) ,
    WEXT7                    VARCHAR2(120) ,
    WEXT8                    VARCHAR2(120) ,
    WEXT9                    VARCHAR2(120) ,
    WEXT10                   VARCHAR2(120) ,
    CONSTRAINT pk_mow_mra_tba_object_source PRIMARY KEY (WOBJECT_ID, WFAMILY_CODE, WEXECUTION_NUMBER, WMAPPING_SET_ID, WOBJECT_ID, WFAMILY_CODE, WEXECUTION_NUMBER, WMAPPING_SET_ID)
);
